/* Table of Content
==================================================
	- Google fonts & font family -
	- typography -
	- General -
    - Preloader -
	- Header -
    - home section -
    - About section -
    - projects section -
    - Contact section -
	- Footer section -
    - Responsive media queries -
*/


/* Google fonts & font family
==================================================*/

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

/* typography
==================================================*/
h3 {
	margin-bottom: 30px;
	line-height: 130%;
	font-weight: 600;
	font-size: 28px;
	margin-top: 0px;
	color: #0b0b0b;
	}
h2 {
	font-size: 17px;
	font-variant: small-caps;
	font-weight: 600;
	letter-spacing: 3px;
	margin-top: 0px;
	margin-bottom: 10px;
	color: #FFF;
}
h1 {
	
	font-weight: 700;
	font-size: 14px;
	letter-spacing: 4px;
	text-transform: uppercase;
	margin-top: 50px;
	margin-bottom: 100px;
	color: #0b0b0b;
}
.line1 {
	margin-left: -30px;
	display: block;
	width: 57px;
	border-bottom-width: 10px;
	border-bottom-style: solid;
	border-bottom-color: #FFF;
	padding-top: 50px;
	margin-bottom: 30px;
}
.line2 {
	margin-left: -30px;
	display: block;
	width: 57px;
	border-bottom-width: 10px;
	border-bottom-style: solid;
	border-bottom-color: #0b0b0b;
	padding-top: 70px;
	margin-bottom: 25px;
}
.line3 {
	margin-left: -20px;
	display: block;
	width: 50px;
	border-bottom-width: 8px;
	border-bottom-style: solid;
	border-bottom-color: #0b0b0b;
	padding-top: 70px;
	margin-bottom: 25px;
}

/* General
==================================================*/

body {
	font-family: "Inter", sans-serif;
	font-weight: 300;
	font-size: 40px;
	
	color: #0b0b0b;
	background-color: #f7f7f7;
}
p   {
    margin-top: 0;
    margin-right: 0;
    margin-bottom: 0px;
    margin-left: 0;
}
.container-fluid {
	padding-right: 0%;
	padding-left: 0%;
	width: 90vw;
}
.size-50 {
    font-size: 50px;
    line-height: 50px;
}
.size-45 {
    font-size: 45px;
    line-height: 50px;
}
.h-50 {
    height: 50px;
}
.h-120 {
    height: 120px;
}
.h-20 {
    height: 20px;
}
.h-25 {
    height: 25px;
}
/* preloader
==================================================*/
#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #fff;
    z-index: 10000
}
#status, .preloader {
    top: 50%;
    left: 50%;
    position: absolute
}
#status {
    width: 100px;
    height: 100px;
    background-repeat: no-repeat;
    background-position: center;
    margin: -50px 0 0 -50px
}
.preloader {
    height: 40px;
    width: 40px;
    margin-top: -20px;
    margin-left: -20px
}
.preloader:before {
    content: "";
    display: block;
    position: absolute;
    left: -1px;
    top: -1px;
    height: 100%;
    width: 100%;
    -webkit-animation: rotation 1s linear infinite;
    animation: rotation 1s linear infinite;
    border: 2px solid #0b0b0b;
    border-top: 2px solid transparent;
    border-radius: 100%
}
.preloader>.icon {
    position: absolute;
    top: 50%;
    left: 50%;
    height: 25px;
    width: 10.6px;
    margin-top: -12.5px;
    margin-left: -5.3px;
    -webkit-animation: wink 1s ease-in-out infinite alternate;
    animation: wink 1s ease-in-out infinite alternate
}

@media only screen and (min-width:768px) {
    .preloader {
        height: 60px;
        width: 60px;
        margin-top: -30px;
        margin-left: -30px
    }
    .preloader:before {
        left: -2px;
        top: -2px;
        border-width: 2px
    }
    .preloader>.icon {
        height: 37.5px;
        width: 15.9px;
        margin-top: -18.75px;
        margin-left: -7.95px
    }
}

@media only screen and (min-width:1200px) {
    .preloader {
        height: 60px;
        width: 60px;
        margin-top: -30px;
        margin-left: -30px
    }
    .preloader>.icon {
        height: 50px;
        width: 21.2px;
        margin-top: -25px;
        margin-left: -10.6px
    }
}

@-webkit-keyframes rotation {
    from {
        -webkit-transform: rotate(0);
        transform: rotate(0)
    }
    to {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg)
    }
}

@keyframes rotation {
    from {
        -webkit-transform: rotate(0);
        transform: rotate(0)
    }
    to {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg)
    }
}

@-webkit-keyframes wink {
    from {
        opacity: 0
    }
    to {
        opacity: 1
    }
}

@keyframes wink {
    from {
        opacity: 0
    }
    to {
        opacity: 1
    }
}
/* Header
==================================================*/
.navbar-collapse {
    padding-right: 0px;
    padding-left: 0px;
}
nav {
	padding-top: 10px;
	background-color: #f7f7f7;
	padding-bottom: 5px;
	padding-right: 15px;

}
.navbar-header {
	text-align: left;
	-webkit-transition: all .5s;
	transition: all .5s;
	height: 80px;
	background-color: transparent;
}
.img-logo {
	width: 48px;
	padding-top: 5px;
	padding-left: 12px;
}
nav ul {
	display: inline-block;
	padding-left: 0px;
	list-style: none;
	margin-bottom: 0px;
	-webkit-transition: all .5s;
	transition: all .5s;
	padding-top: 10px;
	padding-right: 0px;
	padding-bottom: 5px;
}
nav li {
	display: inline-block;
	margin-left: 80px;
}
nav a {
	outline: none;
	color: #0b0b0b;
	font-size: 28px;
	
	font-weight: 350;
}

.hover-underline-animation::after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 1px;
  bottom: 0px;
  left: 0;
  background-color: #0b0b0b;
  transition: transform 0.25s ease-out;
}

.hover-underline-animation:hover::after {
  transform: scaleX(1);
}

.hover-underline-animation::after {
  transform-origin: bottom right;
}

.hover-underline-animation:hover::after {
  transform-origin: bottom left;
}

.bg-nav {
	background-color: #FFF;
	opacity: 0.95;
}
.bg-nav ul {
	padding-top: 10px;
}
a:hover {
	text-decoration: none;
	background: none;
	color: #0b0b0b;
}
a.active {
	color: #0b0b0b;
}
.nav > li > a:focus, .nav > li > a:hover {
	background: none;
	color: #0b0b0b;
}
.nav > li > a {
	padding-left: 0px;
	padding-right: 0px;
	padding-bottom: 10px;
	
}
.navbar-toggle {
	padding-top: 17px;
}
.navbar-toggle .icon-bar {
	background-color: #0b0b0b;
}
.txtLogo {
	float: left;
	padding-top: 20px;
	padding-left: 85px;
}
.pagination > li > a, .pagination > li > span {
	border-top-style: none;
	border-right-style: none;
	border-bottom-style: none;
	border-left-style: none;
	margin-right: 40px;
	background-color: #FFF;
	padding: 0px;
	color: #0b0b0b;
}
.pagination > li > a:focus, .pagination > li > a:hover {
	background: none;
	color: #0b0b0b;
}

	
/* home section
==================================================*/

#home {
	height: 100vh;
	background-size: cover;
	display: block;
	padding-top: 180px;
}
.table-cell {
	display: table-cell;
	vertical-align: top;
}
.disply-table {
	display: table;
	height: 100vh;
}

.container {
        width: 1400px;
    }


/* about section
==================================================*/

#about {
	padding-top: 50px;
	padding-bottom: 200px;
	}
#about p {
	font-size: 56px;
	
}
.about-img-div img {
	padding-top: 10px;
}


/* projects section
==================================================*/
.categories {
	text-align: center;
}
#projects {
	padding-top: 0px;
	padding-bottom: 50px;
	padding-right: 9px;
	padding-left: 9px;
}

.portfolio .categories-grid span {
    font-size: 30px;
    margin-bottom: 30px;
    display: inline-block;
}

.portfolio .categories-grid .categories ul li {
	list-style: none;
	margin-top: 0px;
	margin-right: 0;
	margin-bottom: 20px;
	margin-left: 0;
}

.portfolio .categories-grid .categories ul li a {
	display: inline-block;
	padding: 0 10px;
	margin: 0 14px;
	-webkit-transition: all .2s ease-in-out .2s;
	transition: all .2s ease-in-out .2s;
	color: #0b0b0b;
}

.portfolio .categories-grid .categories ul li a:hover,
.portfolio .categories-grid .categories ul li a:focus {
    text-decoration: none;
}

.portfolio .categories-grid .categories ul li a.active {
    background-color: #0b0b0b;
    padding: 0px 20px;
    color: white;
    text-decoration: none;
	
}

.portfolio_filter {
    padding-left: 0;
}

.portfolio_item {
    position: relative;
    overflow: hidden;
    display: block;
    margin-bottom: 30px;
}

.portfolio_item .portfolio_item_hover {
	position: absolute;
	top: 0px;
	left: 0px;
	height: 100%;
	width: 100%;
	background-color: rgba(0, 0, 0, .8);
	-webkit-transform: translateY(100%);
	transform: translateY(100%);
	opacity: 0;
	-webkit-transition: all .2s ease-in-out;
	transition: all .2s ease-in-out;
	color: #0b0b0b;
}

.portfolio_item .portfolio_item_hover .item_info {
	text-align: center;
	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	width: 100%;
	font-weight: 500;
	padding-top: 20px;
	padding-right: 10px;
	padding-bottom: 10px;
	padding-left: 10px;
}

.portfolio_item .portfolio_item_hover .item_info span {
    display: block;
    color: #fff;
    font-size: 20px;
    -webkit-transform: translateY(-100px);
    transform: translateY(-100px);
    -webkit-transition: all .3s ease-in-out .3s;
    transition: all .3s ease-in-out .3s;
    opacity: 0;
}

.portfolio_item .portfolio_item_hover .item_info em {
	font-style: normal;
	display: inline-block;
	padding: 5px 20px;
	color: #fff;
	-webkit-transform: translateY(100px);
	transform: translateY(100px);
	-webkit-transition: all .3s ease-in-out .3s;
	transition: all .3s ease-in-out .3s;
	opacity: 0;
	font-size: 13px;
	letter-spacing: 2px;
	text-transform: uppercase;
	line-height: 12px;
}

.portfolio_item:hover .portfolio_item_hover {
    opacity: 1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
}

.portfolio_item:hover .item_info em,
.portfolio_item:hover .item_info span {
    opacity: 1;
    -webkit-transform: translateX(0);
    transform: translateX(0);
}

.portfolio .categories-grid .categories ul li {
    float: left;
}

.portfolio .categories-grid .categories ul li a {
    padding: 0 10px;
    -webkit-transition: all .2s ease-in-out .2s;
    transition: all .2s ease-in-out .2s;
}

.portfolio_filter {
	padding-left: 0;
	display: inline-block;
	text-align: center;
	margin-top: 0;
	margin-right: auto;
	margin-bottom: 0;
	margin-left: auto;
	padding-top: 30px;
}

.portfolio-padding {
    padding: 0px 0;
}

.portfolio-inner {
    padding-bottom: 0 !important;
    padding-top: 0px;
}

.modal-content {
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0);
    border: none;
}

.popup-modal {
    background: #fff;
}

.close-popup-modal {
    float: right;
    margin: 20px;
    font-size: 22px;
    opacity: 0;
    cursor: pointer;
    -webkit-transition: all .3s;
    transition: all .3s;
    -webkit-transition-delay: .6s;
    transition-delay: .6s;
    position: fixed;
    z-index: 100000;
    right: 14px;
}

.animatedModal-on .close-popup-modal {
    opacity: 1;
}

/* contact
==================================================*/
#contact {
	padding-top: 130px;
	padding-bottom: 140px;
	
}
#contact .col-md-6{
	font-size: 100px;
	font-weight: 500;
	letter-spacing: -3px;
	
}
#contact .col-md-4{
	font-size: 36px;
	font-weight: 350;
	
	
}


/* Responsive media queries
==================================================*/
@media (max-width: 1650px) {
	#about p {
	font-size: 45px;
	
	}
	#contact .col-md-6{
	font-size: 60px;
	font-weight: 500;
	letter-spacing: -1px;
	}
	#contact .col-md-4{
	font-size: 27px;
	font-weight: 350;
	
	}
}

@media (max-width: 1280px) {
	.container {
    width: 100vw;
    }
	#home {
	height: 90vh;
	}
	#about p {
	font-size: 38px;
	
	}
@media (max-width: 1024px) {
	#home {
	height: 85vh;
	}
	nav a {
    font-size: 24px;
  }
#about p {
	font-size: 31px;
	
	}
}
@media (max-width: 991px) {
	#home {
	height: 70vh;
	}
	#about {
	padding-bottom: 70px;
	}
	#projects {
	padding-top: 12px;
	padding-bottom: 70px;
	}
	#contact .col-md-6{
	font-size: 50px;
	font-weight: 500;
	letter-spacing: -1px;
	}
	.portfolio .categories-grid .categories ul li a {
	padding: 0 2px;
    }
	.container .navbar-header {
	margin-left: 0px;
	}
	.about-img-div img {
	padding-bottom: 20px;
	}
	.portIcon  {
	margin-top: 30px;
	margin-bottom: 30px;
	}
}
@media (max-width: 768px) {
	.timeline-event-copy {
    width: 90%;
    left: 2em;
    }
	.nav ul {
	width: 100%;
	text-align: left;
	margin-top: 0px;
	margin-right: auto;
	margin-bottom: 0;
	margin-left: auto;
	padding-bottom: 15px;
	padding-top: 8px;
	background-color: #0b0b0b;
	padding-left: 20px;
	}
	.nav ul li a {
	color: #FFF;
	}
	
}	
@media (max-width: 590px) {
	#home {
	height: 70vh;
	padding-top: 150px;
	}
	.portfolio .categories-grid .categories ul li {
	list-style: none;
    margin: 10px 0;
    }
	.line1 {
	margin-left: -15px;
	display: block;
	width: 35px;
	border-bottom-width: 6px;
	border-bottom-style: solid;
	border-bottom-color: #FFFFFF;
	padding-top: 30px;
	margin-bottom: 30px;
	}
	.line2 {
	margin-left: -15px;
	display: block;
	width: 35px;
	border-bottom-width: 7px;
	border-bottom-style: solid;
	border-bottom-color: #0b0b0b;
	padding-top: 40px;
	margin-bottom: 25px;
}
	.line3 {
	margin-left: -15px;
	display: block;
	width: 35px;
	border-bottom-width: 7px;
	border-bottom-style: solid;
	border-bottom-color: #0b0b0b;
	padding-top: 40px;
	margin-bottom: 25px;
}
}
@media (max-width: 500px) {
	.container-fluid > .navbar-collapse {
    margin-right: 0px;
    margin-left: 15px;
	}
	#about {
	padding-bottom: 50px;
	}
	#contact {
    padding-top: 60px;
    padding-bottom: 110px;
	}
	#contact .col-md-6{
	font-size: 36px;
	font-weight: 500;
	letter-spacing: -1px;
	}
	#contact .col-md-4{
	font-size: 18px;
	font-weight: 350;
	}
	.about-img-div img {
	padding-top: 0px;
	}
	#about p {
	font-size: 20px;
	}
	.img-logo {
	margin-left: 7px;
	}
	
	#footer {
	font-size: 13px;
	}
	a {
	outline: none;
	}
	h3 {
	font-size: 26px;
	}
	body {
	font-size: 21px;
	}
}
}